Subject: [bug#57963] [PATCH v5 2/2] home: services: Support user's fontconfig configuration.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 11 Oct 2022 06:21:49 +0200

Am Dienstag, dem 11.10.2022 um 12:54 +0900 schrieb Taiju HIGASHI:
> We can specify invalid value such as (list "foo" '(foo bar) 123).
It will be sanitized before that.

> > Also, making multi-type fields is debatable, but isn't great IMO.
> 
> I see. If we had to choose one or the other, I would prefer the
> string-type field.
Prefer sexp-type.

> > If serialization would support G-exps, we could write
> > 
> > (list #~"RAW_XML_HERE")
> > 
> > or even something like this:
> > 
> > (list #~(READ-THE-WHOLE-FILE #$(local-file "our-old.xml")))
> 
> Does it mean that the specification does not allow it now? Or does it
> mean that it is not possible with my implementation?
I think your serialize would have to unpack the G-Expressions.  You can
test that with some example configs of your own.

Cheers